#ifndef FW_H
#define FW_H

#include <stdarg.h>
#include <stddef.h>
#include <stdint.h>
#include <stdbool.h>
#include "picorv32.h"
#include "irq.h"

#define likely(x)	__builtin_expect(!!(x), 1)
#define unlikely(x)	__builtin_expect(!!(x), 0)

extern void __attribute__((noreturn)) _die(void);
extern void __attribute__((noreturn)) exit(int);
extern void __attribute__((noreturn)) _exit(int);

extern const uint8_t _end[];
extern void *_sbrk(size_t);

extern int disk_init(void);

#endif /* FW_H */
